Ext.define('App.controller.Main', {
    extend: 'Ext.app.Controller',
    
    config: {
        routes: {
            '': 'home',
            'about': 'about'
        },
        refs: {
            homeView: {
                selector: 'homeView',
                xtype: 'homeView',
                autoCreate: true
            },
            aboutView: {
                selector: 'aboutView',
                xtype: 'aboutView',
                autoCreate: true
            },
            viewport: '#viewport'
        }
    },
    
    animation: {
        type: 'slide',
        duration: 400,
        easing: 'ease-in-out',
        direction: 'left'
    },
    
    /**
     * home action
     */
    home: function (animation) {
        var view = this.getHomeView();
        
        var anim = Ext.merge({}, this.animation, animation);
        
        this.getViewport().animateActiveItem(view, anim);
    },
    
    /**
     * about action
     */
    about: function (animation) {
        var view = this.getAboutView();
        
        var anim = Ext.merge({}, this.animation, animation);
        
        this.getViewport().animateActiveItem(view, anim);
    }
});